﻿@model DA.Website.Models.VideoModels.VideoVM



@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<div>
      <hr />
      <dl class="row">
          <dt class="col-sm-2">
              @Html.DisplayNameFor(model => model.Title)
          </dt>
          <dd class="col-sm-10">
              @Html.DisplayFor(model => model.Title)
          </dd>
          <dt class="col-sm-2">
              @Html.DisplayNameFor(model => model.Link)
          </dt>
          <dd class="col-sm-10">
              @Html.DisplayFor(model => model.Link)
          </dd>
          <dt class="col-sm-2">
              @Html.DisplayNameFor(model => model.Over18)
          </dt>
           @if (Model.Over18)
            {
              <dd class="col-sm-10">
                  Adult
              </dd>
            }
            else
            {
                <dd class="col-sm-10">
                     All
                </dd>
            }
          
          <dt class="col-sm-2">
              @Html.DisplayNameFor(model => model.Likes)
          </dt>
          <dd class="col-sm-10">
              @Html.DisplayFor(model => model.Likes)
          </dd>
          <dd class="col-sm-2">
              @Html.ActionLink("Leave a comment", "Create", "Comment", new { id = Model.Id })
          </dd>
      </dl>
        <h2>Comments</h2>
        @foreach (var comment in Model.Comments)
        {
    <dl class="row">
            <dt class="col-sm-2">
                @comment.Owner.First_Name<span> </span>@Html.DisplayNameFor(model => comment.Text)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => comment.Text)
            </dd>
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => comment.Likes)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => comment.Likes)
            </dd>
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => comment.Dislikes)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => comment.Dislikes)
            </dd>
            @if (comment.Owner.Id == DA.Website.Models.UserModel.LoggedUser.Id)
            {
                <dt>
                    @Html.ActionLink("Edit", "Edit", "Comment", new { id = comment.Id }) 
                </dt>
             }
            @if (Model.Owner.Id == DA.Website.Models.UserModel.LoggedUser.Id)
             {
                <dt>
                    @Html.ActionLink("Delete", "Delete", "Comment", new { id = comment.Id, videoId = comment.VideoId })
                </dt>
             }
    </dl>
         }
</div>
<div>
    <a asp-action="Index">Back to List</a>
</div>
